# Newberry Metrics

A Python package for model evaluation that provides tools and utilities to assess machine learning model performance.

## Description

Newberry Metrics is a lightweight and efficient tool designed to help data scientists and machine learning engineers evaluate their models. It provides a suite of metrics and evaluation tools to assess model performance.

## Installation

You can install the package using pip:

```bash
pip install newberry_metrics
```

## Requirements

- Python >= 3.10

## Features

- Model evaluation tools
- Performance metrics calculation
- Easy-to-use interface

## Usage

```python
from newberry_metrics import cost

# Example usage will be added here
```

## Development

To set up the development environment:

1. Clone the repository
```bash
git clone https://github.com/SatyaTheG/newberry_metrics.git
cd newberry_metrics
```

2. Create and activate a virtual environment
```bash
python -m venv .venv
source .venv/bin/activate  # On Windows, use: .venv\Scripts\activate
```

3. Install development dependencies
```bash
pip install -e ".[dev]"
```


## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the MIT License - see the LICENSE file for details.

## Author

- **Satya** - [SatyaTheG](https://github.com/SatyaTheG)
- Email: forsatyanarayansahoo@gmail.com

## Version

Current version: 0.0.10

## Project Status

This project is under active development. Features and documentation will be added regularly. 
